// file: $USFS/class/image_segmentation/v1.0/imags_dbg_0.cc
//

// isip include files
//
#include "image_segmentation.h"
#include "image_segmentation_constants.h"

// method: set_debug_cc
//
// arguments:
//  int_4 debug_level: (input) the value of the debug level
//
// return: a logical_1 value indicating status
//
logical_1 Image_segmentation::set_debug_cc(int_4 debug_level_a) {
  
  // set the debug level
  //
  debug_level_d = debug_level_a;

  for (int_4 i=0; i<num_models_d; i++) {
    if (ia_d[i].set_debug_cc(debug_level_a) == ISIP_FALSE) {
      error_handler_cc((char_1*)"set_debug_cc", (char_1*)"error setting
                       the debug level");
      return ISIP_FALSE;
    }
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
